Home

# Class goog.ui.IdleTimer

Event target that will give notification of state changes between active and idle. This class is designed to require few resources while the user is active.

extends goog.events.EventTarget

Instance Method Summary
| `becomeActive_()` Transitions from the idle state to the active state
| `becomeIdle_()` Transitions from the active state to the idle state

`disposeInternal()`

Unattach listeners from this object. Classes that extend EventTarget may need to override this method in order to remove references to DOM Elements and additional listeners, it should be something like this:

    MyClass.prototype.disposeInternal = function() {
    MyClass.superClass_.disposeInternal.call(this);
    // Dispose logic for MyClass
    };

| `getActivityMonitor() ⇒ ?goog.ui.ActivityMonitor`
| `getDefaultActivityMonitor_() ⇒ ?goog.ui.ActivityMonitor` Gets the default activity monitor used by this class. If a default has not been created yet, then a new one will be created.
| `getIdleThreshold() ⇒ number`
| `isIdle() ⇒ boolean` Returns true if there has been no user action for at least the specified interval, and false otherwise
| `maybeDisposeDefaultActivityMonitor_()` Removes the reference to the default activity monitor. If there are no more references then the default activity monitor gets disposed.
| `maybeStillActive_()` Checks whether the user is active. If the user is still active, then a timer is started to check again later.
| `onActivityTick_()` Handler for the timeout used for checking ongoing activity
| `onActivity_(?goog.events.Event e)` Handler for idle timer events when the user does something interactive
| `removeActivityListener_()` Removes the activity listener, if necessary